<?

print "Kontoauszuege per Briefpost, Kategorie U18.\n<br />";
if ($debug) {
        print "DEBUG: Es wird nur ein Beispielauszug erstellt\n";
}
print "--------------------------------------------------------------\n<br />";

# Generate PDF
$AbsenderFenster = "SECURVITA Healthmiles · Postfach 10 55 09 · 20038 Hamburg";
$Adresse = "Anrede\nTitel Vorname Name\nStrasse\nPLZ Ort";
$Absender = "SECURVITA Healthmiles\nPostfach 10 55 09\n20038 Hamburg\n\nInternet: www.healthmiles.de\nE-Mail: securvita@healthmiles.de\nTelefax: 040/38 60 80 90";
$Label_DateVersnr = "Datum:\nVersicherungsnummer:";
$Data_DateVersnr = "Dezember 2009\n12345678";
$Headline = "Neues aus dem Bonusprogramm Healthmiles U18";
$FTZ0 = "Sehr geeherte(r)...";
  $FTZ1 = ",\n\nSie erhalten hiermit Ihren Healthmiles Kontoauszug\n\nIm aktuellen SECURVITA-Newsletter erfahren Sie schnell und übersichtlich wichtige Neuigkeiten rund um die SECURVITA.\n\nMit Ihrem 18. Geburtstag wechseln Sie zudem von Healthmiles U18 in das Bonusprogramm für Erwachsene. Ihre gesammelten Punkte sind Ihnen aber sicher, sie werden automatisch übernommen.\n\nUnter www.healthmiles.de finden Sie die alle Prämien aus dem Bonusprogramm. Außerdem können Sie in der Checkliste nachlesen, für welche Maßnahmen Ihnen Healthmiles gutgeschrieben werden.\n\nMöchten Sie, dass wir Ihnen zukünftig Ihren Healthmiles Kontoauszug per E-Mail zusenden? Dann teilen Sie uns dies bitte telefonisch unter der gebührenfreien Nummer 0800 / 600 22 22 mit oder schicken Sie uns eine E-Mail an securvita@healthmiles.de.\n\nWir wünschen Ihnen eine aktive und gesunde Zeit.\n\nMit freundlichen Grüßen\nBonusprogramm Healthmiles\n\n";
$HMKontoStandLabel = "Healthmiles U18 Kontostand zum ";
$Datumstart = "dd.mm.yyyy";
$Datumend = "dd.mm.yyyy";
$Milesstart = "Miles Start";
$Milesend = "Miles Ende";
$Verfalllabel = " Healthmiles verfallen zum ";
$Verfall1 = "9999";
$VerfallDatum1 = "dd.mm.yyyy";
$Verfall2 = "9999";
$VerfallDatum2 = "dd.mm.yyyy";
$Verfall3 = "9999";
$VerfallDatum3 = "dd.mm.yyyy";
$Signaturetext = "Kathrin Henkel\n\n\n";
$HeadlineAM = "Healthmiles U18 Kontoauszug für Name, Vorname - Versicherungsnummer 12345679";
$PeriodAM = "Zeitraum: ".$Datumstart." bis ".$Datumend;

$Datumstart = date("d.m.Y",strtotime($startDate));
$Datumend = date("d.m.Y",strtotime($endDate));
$PeriodAM = "Zeitraum: ".$Datumstart." bis ".$Datumend;
/* Ersten des nächsten und übernächsten Monats berechnen */
List($year,$month,$day) = explode('-', $endDate);
$refDate = "$year-$month-15";
$VerfallDatum1 = date('01.m.Y',strtotime('+1 months',strtotime($refDate)));
$VerfallDatum2 = date('01.m.Y',strtotime('+2 months',strtotime($refDate)));
$VerfallDatum3 = date('01.m.Y',strtotime('+3 months',strtotime($refDate)));

$pdf=new FPDF('P','cm','A4');
/* FALSE in Textparametern meint kein UTF8, aendern fuer UTF8 Ausgaben aus der DB? */
$pdf->SetAuthor('SECURVITA Healthmiles', FALSE) ;
$pdf->SetSubject('Ihr Healthmiles U18 Kontoauszug vom xx.xx.xx', FALSE) ;
$pdf->SetTitle('Healthmiles U18 Kontoauszug vom xx.xx.xx für Name, Vorname', FALSE) ;
$pdf->SetDisplayMode('fullwidth', 'continuous') ;

$x = 0;

foreach($userIds as $userId) {

  $x += 1;
  if ($debug && $x == 2) {break;} 

  $user = new user(0,$userId);
  $konto = new konto($userId);
  $invalidpoints = $konto->calcinvalidatenext($endDate);

  $pdf->SetMargins(2.2, 5, 2.5);
  $pdf->SetAutoPageBreak(TRUE,3);
  $pdf->SetFont('Arial','',10);
  $pdf->AddPage();

  /* $Adresse = $user->anrede."\n";
  if ($user->titel != "") {$Adresse .= $user->titel." ";} */
  $Adresse = $user->vorname." ".$user->name."\n".$user->strasse."\n".$user->plz." ".$user->ort;
  if ($user->land != "" and $user->land != "Deutschland") { $Adresse .= "\n".$user->land; }
  $Data_DateVersnr = $monatsarray[date("n")-1]." ".date("Y")."\n".$user->versnummer;
  $FTZ0 = "Sehr geehrte";
  if ($user->anrede == "Herrn") { $FTZ0 .= "r Herr "; }
  else { $FTZ0 .= " Frau "; }
  if ($user->titel != "") {$FTZ0 .= $user->titel." ";}
  $FTZ0 .= $user->name . $FTZ1;
  /* Kontostände und Punkteverfall */
  /* Erster Saldo am Ende des vorigen Monats (Start: 01.04 -> Saldo 31.03) */
  $saldoDate1 = date('Y-m-d',strtotime('1 days ago',strtotime($startDate)));
  $Milesstart = $konto->getSaldo($saldoDate1);
  $Milesend = $konto->getSaldo($endDate);
  $Verfall1 = $invalidpoints[0];
  $Verfall2 = $invalidpoints[1];
  $Verfall3 = $invalidpoints[2];
  $HeadlineAM = "Healthmiles U18 Kontoauszug für ".$user->name.", ".$user->vorname." - Versicherungsnummer ".$user->versnummer;

  print "#".$x.": ".$HeadlineAM."<br />\n";

  /* AbsenderFenster */
  $pdf->SetFont('Arial','',6);
  $pdf->SetXY(2.3, 4.6);
  $pdf->Cell(8, 0, $AbsenderFenster, 0, 0, 'L');
  
  /* Absender */
  $pdf->SetFont('Arial','',8);
  $pdf->SetXY(15, 4.5);
  $pdf->MultiCell(8, 0.4, $Absender, 0, 'L', FALSE);
  
  /* Adressfeld */
  $pdf->SetFont('Arial','',10);
  $pdf->SetXY(2.3, 5);
  $pdf->MultiCell(7.0, 0.42, $Adresse, 0, 'L', FALSE);
  
  /* Datum, Versicherungsnummer - Label */
  $pdf->SetXY(13.2,9.2);
  $pdf->MultiCell(4, 0.36, $Label_DateVersnr, 0, 'L', FALSE);
  
  /* Datum, Versicherungsnummer - Daten */
  $pdf->SetXY(16.6,9.2);
  $pdf->MultiCell(3.04, 0.36, $Data_DateVersnr, 0, 'R', FALSE);
  
  /* Headline */
  $pdf->SetXY(2.2,10.3);
  $pdf->SetFont('','B');
  $pdf->Write(0.36,$Headline);
  
  /* Fliesstext1 */
  $pdf->SetXY(2.2,11.5);
  $pdf->SetFont('','');
  $pdf->Write(0.4,$FTZ0);
  
  /* Unterschrift */
  $pdf->image("controllers/konto/fpdf-stuff/unterschrift.jpg", $pdf->GetX(), $pdf->GetY(),5.9,1);
  //$pdf->image("/Applications/MAMP/htdocs/healthmiles_svn/revision-2.1/admin/controllers/konto/fpdf-stuff/scholtes_leer.jpg", $pdf->GetX(), $pdf->GetY(),5.9,1);
  
  /* Signaturtext */
  $pdf->SetXY(2.2,$pdf->GetY()+1.5);
  $pdf->Write(0.4,$Signaturetext);
  
  /* Leere Seite für Duplexdruck Anschreiben */
  // $pdf->AddPage();
  
  /* New page for account movements */
  $pdf->AddPage();
  
  /* Seitenkopf AMs */
  $pdf->SetXY(2.2, 5);
  $pdf->SetFont('','B');
  $pdf->Write(0.4,$HeadlineAM);
  $pdf->SetFont('','');
  $pdf->Write(0.4,"\n".$PeriodAM);
  
  /* HM Kontostand Box1 */
  $pdf->SetXY(2.3, 6.5);
  $pdf->SetFont('','B',8);
  $pdf->Cell(8.15, 0.5, " ".$HMKontoStandLabel.$Datumstart, 1, 0, 'L');
  /* HM Kontostand Box2 */
  $pdf->SetXY(10.45, 6.5);
  $pdf->SetFont('','B',8);
  $pdf->Cell(8.15, 0.5, $Milesstart." ", 1, 1, 'R');
  
  /* Abstand vor Bewegungen */
  $pdf->SetFont('','',8);
  $pdf->Write(0.4,"\n");
  
  /* Boxen mit Ueberschriften */
  
  $pdf->SetFont('','B',8);
  $pdf->SetLeftMargin(2.3);
  $pdf->Cell(1.7, 0.5, "Buchung", 1, 0, 'L');
  $pdf->Cell(1.7, 0.5, "Erwerb", 1, 0, 'L');
  //$pdf->Cell(10.8, 0.5, "Beschreibung", 1, 0, 'L');
  $pdf->Cell(11.7, 0.5, "Beschreibung", 1, 0, 'L');
  $pdf->Cell(1.2, 0.5, "Punkte", 1, 1, 'R');
  $pdf->SetFont('','',8);
  
  $pdf->SetFillColor(230,230,230);
  
  $AnzahlZeilen = 1;

  $konto->readKontoauszugFiltered($startDate, $endDate);
  foreach ($konto->kontoBewegungen as $kontobewegung) {
    $pdf->Cell(1.7, 0.5, date("d.m.Y", $kontobewegung->datum), 1, 0, 'L', ($AnzahlZeilen % 2 != 0));
    //$pdf->Cell(1.7, 0.5, "99.99.9999", 1, 0, 'L', ($AnzahlZeilen % 2 != 0));
    $pdf->Cell(1.7, 0.5, convertdatefromsql($kontobewegung->datumerwerb), 1, 0, 'L', ($AnzahlZeilen % 2 != 0));
    $beschreibung = trim($kontobewegung->beschreibung);
    if (strlen($beschreibung) > 77) { $beschreibung = substr($beschreibung,0,77)."..."; }
    $pdf->Cell(11.7, 0.5, $beschreibung, 1, 0, 'L', ($AnzahlZeilen % 2 != 0));
    $pdf->Cell(1.2, 0.5, $kontobewegung->wert, 1, 1, 'R', ($AnzahlZeilen % 2 != 0));
    $AnzahlZeilen += 1;  
  }

  /* Abstand nach Bewegungen */
  $pdf->Write(0.4,"\n");
  
  /* HM Kontostand Box3 */
  $pdf->SetFont('','B');
  $pdf->Cell(8.15, 0.5, " ".$HMKontoStandLabel.$Datumend, 1, 'L', FALSE);
  /* HM Kontostand Box4 */
  $pdf->SetFont('','B');
  $pdf->Cell(8.15, 0.5, $Milesend." ", 1, 1, 'R', FALSE);
  
  /* Verfall 1 */
  $pdf->SetFont('','B');
  $pdf->Write(0.4,"\n".$Verfall1);
  $pdf->SetFont('','');
  $pdf->Write(0.4,$Verfalllabel.$VerfallDatum1);
  
  /* Verfall 2 */
  $pdf->SetFont('','B');
  $pdf->Write(0.4,"\n".$Verfall2);
  $pdf->SetFont('','');
  $pdf->Write(0.4,$Verfalllabel.$VerfallDatum2);
  
  /* Verfall 3 */
  $pdf->SetFont('','B');
  $pdf->Write(0.4,"\n".$Verfall3);
  $pdf->SetFont('','');
  $pdf->Write(0.4,$Verfalllabel.$VerfallDatum3);
  
  /* Leere Seite für Duplexdruck Kontobewegungen */
  if ($AnzahlZeilen > 33) {
    print "#".$x.": KONTOAUSZUG HAT MEHRERE AUSZUGSEITEN!<br />\n";
    //$pdf->AddPage();
  }
  
}

$auszugname=time()."_letter_U18.pdf";
$outputname = $exportpath."/kontoauszug/".$auszugname;
$pdf->Output($outputname,"F");

?>
  
